<template>
    <div class="image-overlay">
        <div class="h-100 d-inline-block">
            <b-img width="300px" style="height: 200px" fluid thumbnail :src="thumbnail" alt="Thumbnail" />
        </div>
        <div class="overlay">
            <b-container style="height: 100%;">
                <b-row align-v="center" style="height: 75%;">
                    <b-col sm="12" align-self="center" class="mx-auto text-center">
                        <h3>{{title}}</h3>
                    </b-col>
                </b-row>
                <b-row align-v="end" class="mx-auto text-center"> 
                    <b-col sm="12">
                        <button :id="id" v-if="images" type="button" class="btn btn-default btn-circle mr-2">
                            <font-awesome-icon icon="plus" />
                        </button>
                          <b-button :href="downloadLink" class="btn-circle" v-if="download" >
                              <font-awesome-icon icon="external-link-alt" />
                          </b-button>
                    </b-col>
                </b-row>
            </b-container>
        </div>
    </div>
</template>
<script>
import $ from 'jquery';
import 'magnific-popup';
export default {
    props: {
        images: Array,
        thumbnail: String,
        id: String,
        title: String,
        download: String,
    },
    data() {
        return {
            baseUrl: process.env.BASE_URL,
        }
    },
    computed: {
        downloadLink() {
            if (this.download) {
                return `${this.baseUrl}downloads/${this.download}`
            }
        }
    },
    mounted(){
        if (this.images) {
            $('#'+this.id).magnificPopup({
                items: this.images,
                gallery: {
                    enabled: true
                },
            });
        }
    },
}
</script>

<style lang="scss" scoped>
@import '~magnific-popup/dist/magnific-popup.css';
.image-overlay {
    position: relative;
    display: inline-block;
    height: 200px;
}
.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  background-color: rgba(44, 46, 53, 0.97);
}

.image-overlay:hover .overlay {
  opacity: 1;
}

.btn-circle {
    width: 30px;
    height: 30px;
    padding: 6px 0px;
    border-radius: 15px;
    text-align: center;
    font-size: 12px;
    line-height: 1.42857;
}

h3 {
    font-weight: 600;
    text-transform: uppercase;
    color: #88b7b3;
    letter-spacing: 1px;
}

</style>
